import { Component } from 'react'
import { View, Text } from '@tarojs/components'
import { AtList, AtListItem } from "taro-ui"
import './index.less'
import Taro from '@tarojs/taro'
export default class Index extends Component {

  render () {
    return (
      <View className='index'>  
      {/* 提现 */}
        <View className='cash-out'>
          <View className='balance-section'>
          <View className='balance-info'>
            <Text className='label'>可提现金额</Text>
            <View className='amount'>
              <Text className='integer'>¥888.</Text>
              <Text className='decimal'>00</Text>
            </View>
          </View>
          <View className='action'>
            <View className='withdraw-btn'>提现</View>
          </View>
        </View>
      </View>
      {/* 提现功能 */}
      <View className='cash-out-function'>
        <AtList hasBorder={false}>
        <AtListItem hasBorder={false} onClick={() => Taro.navigateTo({ url: `/pages/memberSub/Alipay/index` })} title='提现认证' extraText='认证审核中' arrow='right' />
        <View className='line'></View>
        <AtListItem hasBorder={false} onClick={() => Taro.navigateTo({ url: `/pages/memberSub/cashOutRecord/index` })} title='提现记录' extraText='' arrow='right' />
        <View className='line'></View>
        <AtListItem hasBorder={false} title='支付账户' extraText='需维护支付宝账户信息' arrow='right' />
        <View className='line'></View>
        <AtListItem hasBorder={false} onClick={() => Taro.navigateTo({ url: `/pages/memberSub/statementRecords/index` })} title='标题结算单记录' extraText='6月结算单已出' arrow='right' />
        </AtList>
      </View>
      {/* 结算单说明 */}
      <View className='settlement-statement'>
        <Text className='title'>结算单说明</Text>
        <View className='contentBox'>
        <View className='content indent'>1. 每月 <Text className='highlight'>27</Text>号 出上月结算单</View>
        <View className='content sub-content'>收益可在当月27号至30号全天申请提现</View>
        <View className='content sub-content'>错过需要等下个月,提现金额会在1-5个工作日到账</View>
        <View className='content indent'>2. 会员需要在提现前完成 提现认证 并审核通过</View>
        <View className='content sub-content'>维护完善 支付宝账户信息，否则将影响提现进行</View>
        <View className='content indent'>3. 结算单收益:订单完成时间在上个月的总收益</View>
        <View className='content sub-content'>上个月【已付款】但未完成订单可在下个月提现</View>
        <View className='content indent'>4. 可提现金额已扣除各项税费，提现金额需大于1元</View>
        <View className='content indent'>5. 本月未提现收益不会清 0</View>
        <View className='content sub-content'>会累积到账户余额，下个月合并提现</View>
        </View>
      </View>
      </View>
    )
  }
}
