import { Component } from 'react'
import { View, Text } from '@tarojs/components'
import { getEarningsDetail } from '../../../service'
import './index.less'

export default class Index extends Component {
  state = {
    earningsDetail: {},//收益详情
  }
  componentDidShow () {
    this.getEarningsDetail();
  }
  // 获取收益详情
  getEarningsDetail = async () => {
    const res = await getEarningsDetail();
    this.setState({ earningsDetail: res });
  }

  render () {
    const { earningsDetail } = this.state;
    const today_data = earningsDetail.today_data || {}; 
    const this_month_data = earningsDetail.this_month_data || {};
    const last_month_data = earningsDetail.last_month_data || {}; 
    const historical_month_data = earningsDetail.historical_month_data || {}; 
    return (
      <View className='index'>
        <View className='earnings-list'>
          <View className='earnings-list-item'>
            <View className='item-line title-one'>
              <Text className='title'>今天预估总收益</Text>
              <Text className='money'>￥{today_data.assess_amount || '0.00'}</Text>
            </View>
            <View className='dotted-line'></View>
            <View className='item-line title-two'>
              <Text className='title'>预估推广收益</Text>
              <Text className='money'>￥{today_data.assess_amount || '0.00'}</Text>
            </View>
          </View>
          <View className='earnings-list-item'>
            <View className='item-line title-one'>
              <Text className='title'>本月预估总收益</Text>
              <Text className='money'>￥{this_month_data.assess_amount || '0.00'}</Text>
            </View>
            <View className='dotted-line'></View>
            <View className='item-line title-two'>
              <Text className='title'>预估推广收益</Text>
              <Text className='money'>￥{this_month_data.assess_amount || '0.00'}</Text>
            </View>
            {/* <View className='line'></View>
            <View className='item-line title-two'>
              <Text className='title'>预估推广收益</Text>
              <Text className='money'>￥70.00</Text>
            </View>
            <View className='item-line'>
              <Text className='title'>惊喜红包</Text>
              <Text className='money'>￥70.00</Text>
            </View> */}
          </View>
          <View className='earnings-list-item'>
            <View className='item-line title-one'>
              <Text className='title'>上月预估总收益</Text>
              <Text className='money'>￥{last_month_data.assess_amount || '0.00'}</Text>
            </View>
            <View className='dotted-line'></View>
            <View className='item-line title-two'>
              <Text className='title'>预估推广收益</Text>
              <Text className='money'>￥{last_month_data.assess_amount || '0.00'}</Text>
            </View>
          </View>
          <View className='earnings-list-item'>
            <View className='item-line title-one'>
              <Text className='title'>历史预估总收益</Text>
              <Text className='money'>￥{historical_month_data.assess_amount || '0.00'}</Text>
            </View>
            <View className='dotted-line'></View>
            <View className='item-line title-two'>
              <Text className='title'>预估推广收益</Text>
              <Text className='money'>￥{historical_month_data.assess_amount || '0.00'}</Text>
            </View>
          </View>
        </View>
      </View>
    )
  }
}
